[package]
name = "dsx"
version.workspace = true
edition.workspace = true
authors.workspace = true

[[bin]]
name = "dsx"
path = "src/main.rs"

[dependencies]
compiler = { path = "../../core/compiler" }
assembler = { path = "../../core/assembler" }
common = { path = "../../core/dsa_common" }
dsx_common = { path = "../dsx_common" }
toml = "1.0.3"
chrono = "0.4.44"
